
Redmine - Feature #30977

Add CSS class to project custom fields

2019-03-06 08:36 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.0.3   

Resolution: Fixed   

Description

Project custom fields displayed on the Overview page does not have any CSS class. This makes it difficult for users to style those

fields shown on the page.

I think those fields should have a proper CSS class that identify the custom field.

[Current]

<ul>

    <li><span class="label">Homepage:</span> <a href="http://ecookbook.somenet.foo/">

http://ecookbook.somenet.foo/</a></li>

    <li><span class="label">Development status:</span> Stable</li>

</ul>

 [With the proposing improvement]

<ul>

    <li><span class="label">Homepage:</span> <a href="http://ecookbook.somenet.foo/">

http://ecookbook.somenet.foo/</a></li>

    <li class="cf_9"><span class="label">Development status:</span> Stable</li>

</ul>

Related issues:

Related to Redmine - Feature #30985: Add CSS class to user custom fields Closed

Related to Redmine - Patch #30994: Refactor custom field css classes Closed

Associated revisions

Revision 17931 - 2019-03-06 23:31 - Go MAEDA

Add CSS class to project custom fields (#30977).

Patch by Go MAEDA.

Revision 17932 - 2019-03-07 00:23 - Go MAEDA

Merged r17931 from trunk to 4.0-stable (#30977).

History

#1 - 2019-03-06 15:14 - Go MAEDA

- File add-css-class-to-project-cf.patch added

- Subject changed from Add CSS class to project custom fields on the Overview page to Add CSS class to project custom fields

- Target version set to 4.0.3

Here is a patch to implement this.

#2 - 2019-03-06 23:31 - Go MAEDA

- Status changed from New to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed.

#3 - 2019-03-07 00:29 - Go MAEDA

- Status changed from Resolved to Closed

#4 - 2019-03-07 05:23 - Go MAEDA

- Related to Feature #30985: Add CSS class to user custom fields added

#5 - 2019-03-07 22:10 - Marius BĂLTEANU

- Related to Patch #30994: Refactor custom field css classes added

Files

add-css-class-to-project-cf.patch 1.22 KB 2019-03-06 Go MAEDA
